Nutritious Pumpkin Mash

    @debitoor/mocha-strict-dependencies

    1.1.0 • Public • Published

    mocha-strict-dependencies Build Status

    Mocha test, that checks that you have strict dependencies on your package.json, except of whitelisted

    #Usage

    npm i -D -E @debitoor/mocha-strict-dependencies
    echo "require('@debitoor/mocha-strict-dependencies')([]);" > test/strict-dependencies.spec.js

    #Configuration

    const listOfPackagesThatShouldHaveUnfixedVersion = [
      'deep-extend',
      'chai'
    ];
    require('@debitoor/mocha-strict-dependencies')(listOfPackagesThatShouldHaveUnfixedVersion)

    Install

    npm i @debitoor/mocha-strict-dependencies

    DownloadsWeekly Downloads

    93

    Version

    1.1.0

    License

    MIT

    Last publish

    Collaborators

    • talar.boyadjian
    • sumup-yonatankarp
    • dzmitry.h.sumup
    • mmahrous
    • jmrigali
    • maciej-kusnierz
    • mariusrosand
    • skryvytskyi_sumup
    • oalpatov
    • bgeraymovich
    • bifrost
    • debitoor-bot
    • mamant
    • hilleer
    • s0ph1e
    • sumup.vascofg
    • jonathanmh
    • igor_torba
    • plafytskyi
    • igor.g
    • ituraj
    • eugene-ltv-debitoor
    • lshilo
    • hamoudaarfaoui
    • ziegelke
    • soulmonk
    • ketevanl
    • andriyonyshchenko
    • belrestro
    • robinmetral
    • connor_baer
    • balexandre
    • belem-acosta
    • mickael-h
    • annewarnk1
    • felixjung
    • oarostovtseva
    • amelako
    • mcntsh
    • msafwat-sumup
    • ketansumup
    • zetxek